#include <stdio.h>
#include <stdlib.h>
#define DIM 1000
int main()
{
    int Hi[DIM], n, i, L, br=0;

    printf("Unesite n stalaktita: ");

    do
    {
    scanf("%d", &n);
    if(n<1 || n>DIM)printf("Greska!");
    }while(n<1 || n>DIM);

    printf("Unesite Pericinu visinu: ");
    scanf("%d", &L);

    for(i=0;i<n;i++)
    {
        printf("Unesite udaljenost vrha %d stalaktita od zemlje: ", i+1);
        scanf("%d", &Hi[i]);
        if(Hi[i]<=L)
        {
            printf("Perica ne moze da prodje kroz %d. stalaktit", i+1);
            br=1;
            break;
        }
    }
    if(br==0)
        printf("-1");
    return 0;
}